package com.yueguang.schedule;

import java.text.SimpleDateFormat;
import java.util.Date;

import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.scheduling.quartz.QuartzJobBean;

import com.yueguang.service.Job2Service;

public class Job2 extends QuartzJobBean {
	
	private Job2Service job2Service;
	public void setJob2Service(Job2Service job2Service) {
		this.job2Service = job2Service;
	}
	
	@Override
	protected void executeInternal(JobExecutionContext context) throws JobExecutionException {
		System.out.println(new SimpleDateFormat("HH:mm:ss").format(new Date())+": job2 is running!");
		job2Service.doSomething();
	}

}
